Calculate the hash value needed by EZMLM

- « Mail Functions

- mail »

- PHP Manual
- Mail Functions
- Calculate the hash value needed by EZMLM

# ezmlm_hash

(PHP 4 >= 4.0.2, PHP 5, PHP 7)

ezmlm_hash — Calculate the hash value needed by EZMLM

Warning

This function has been DEPRECATED as of PHP 7.4.0, and REMOVED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

ezmlm_hash(string `$addr`): int

ezmlm_hash() calculates the hash value needed when keeping EZMLM mailing lists in a MySQL database.

### Parameters

`addr`

  The email address that's being hashed.

### Return Values

The hash value of `addr`.

### Examples

Example #1 Calculating the hash and subscribing a user

    <?php$user = "joecool@example.com";$hash = ezmlm_hash($user);$query = sprintf("INSERT INTO sample VALUES (%s, '%s')", $hash, $user);$db->query($query); // using PHPLIB db interface?>